Bug 76939 - switching keyboard layouts with gkb kills GUI keyboard shortcuts
switching keyboard layouts with gkb kills GUI keyboard shortcuts
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-29 15:27 EST by darkeye
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 23:04:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darkeye 2002-10-29 15:27:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
When switching keyboard layouts with the gkb applet, GUI keyboard shortcuts are
lost.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. make a GUI key shortcut with Preferences->Keyboard shortcuts
2. install the gkb applet with two keyboard layouts
3. switch from one layout to another using the gkb applet
	

Actual Results:  the specified GUI keyboard shortcuts are lost (they don't work
anymore)

Expected Results:  the GUI keyboard shortcuts would remain in effect

Additional info:
Comment 1 Havoc Pennington 2002-10-31 15:45:01 EST
This is really a metacity or gnome-panel bug (not handling keymap change events).
metacity at least handles them in principle.

Which key shortcut did you change?

It's probably ideal to report this on gnome.org as well and add a link 
to that bug here.
Comment 2 darkeye 2002-10-31 20:20:15 EST
I changed the following shortcuts:

Switch to workspace on left -> <Control><Alt>Left
Switch to workspace on right -> <Control><Alt>Right
Switch to workspace above the current space -> <Control><Alt>Up
Switch to workspace below the current space -> <Control><Alt>Down

I guess you can make a better judgement on what other places to enter this bug.
Comment 3 Havoc Pennington 2003-01-12 17:37:07 EST
If by chance you try Phoebe or a newer metacity, please let 
us know if this still happens.
Comment 4 Havoc Pennington 2003-01-12 23:04:58 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103331

Note You need to log in before you can comment on or make changes to this bug.